List trust relationships
- GET /platform/configuration/trust-relationships
List trust relationships.
Query Parameters
-
include_certificateboolean · default: false Whether to include the public CA certificates in the response.
-
filter· default: all Which trust relationships to return in the response. Defaults to
all-
Values:
alllocalnon-local
Responses
The list of trust relationships.
-
trust_relationshipsTrustRelationshipGetResponserequired -
The trust relationships
-
idstringrequired -
The id of the trust relationship
-
namestringrequired -
The name of the trust relationship
-
trust_by_defaultbooleanrequired -
If this relationship is trusted by default by all deployments in the current environment.
-
account_idsstring -
The ID of the accounts trusted by this relationship.
-
public_ca_certstring -
The public CA certificate of the environment to trust
-
localbooleanrequired -
If this is the trust relationship for the local environment
-
installation_idstring -
The installation ID of the environment to trust
-
last_modifiedstringrequired -
The most recent time the trust relationship was changed (ISO format in UTC)
You are not authorized to perform this action.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request